import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/base/internalMessage/pageList", formData);
}

function edit(id){
  return request.get(constant.serverUrl + "/base/internalMessage/edit/" + id);
}

function remove(id){
  return request.post(constant.serverUrl + "/base/internalMessage/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/base/internalMessage/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  pageList,edit,remove,batchRemove
}